#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include <gconf/gconf-client.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "internal.h"

void
on_app_activate_default                (GtkWidget       *widget,
                                        gpointer         user_data)
{
	initialize_app(widget);
	/* This function should probably be eventually be moved into
	the main functions */
}


gboolean
on_app_delete_event                    (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  finalize_app(widget);
  return FALSE;
}

void
on_sidepane_selection_changed          (GtkTreeSelection *treeselection,
                                        gpointer user_data)
{
	refresh_view(get_data_from_widget(gtk_tree_selection_get_tree_view(treeselection)));
}

void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_save_as1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
	  finalize_app(GTK_WIDGET(menuitem));
}


void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_clear1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_properties1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_buttonrefresh_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{

}


void
on_sidepane_row_activated              (GtkTreeView     *treeview,
                                        GtkTreePath     *path,
                                        GtkTreeViewColumn *column,
                                        gpointer         user_data)
{

}


void
on_buttonsave_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
	
}


void
on_buttonrevert_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{

}


void
on_togglebuttoninfo_toggled            (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
	/* Maybe move this into a function? */
	GtkWidget *widget;
	widget = lookup_widget(togglebutton, "scrolledwindowtext");
	if(gtk_toggle_button_get_active(togglebutton))
		gtk_widget_show(widget);
	else
		gtk_widget_hide(widget);
}

